<?php
class Ponto extends TRecord
{
    const TABLENAME = 'tbl_ponto';
    const PRIMARYKEY= 'id';
    const IDPOLICY =  'max'; // {max, serial}

    use SystemChangeLogTrait;

    public function __construct($id = NULL)
    {
        parent::__construct($id);
        parent::addAttribute('nome');
        parent::addAttribute('porc_ponto');
        parent::addAttribute('operador');
        parent::addAttribute('caixa');
        parent::addAttribute('deve');
        parent::addAttribute('cadastro');
        parent::addAttribute('last_visita');
    }
}
?>